# QXmlDeclHandler Class Reference

### [com.trolltech.qt.xml package]

### Constructor

- void QXmlDeclHandler()

### Constructor Properties

- prototype: The QXmlDeclHandler prototype object

### Prototype Object Properties

- bool attributeDecl(String eName, String aName, String type, String valueDefault, String value)
- String errorString()
- bool externalEntityDecl(String name, String publicId, String systemId)
- bool internalEntityDecl(String name, String value)

### Instance Properties

QXmlDeclHandler objects have no special properties beyond those inherited from the QXmlDeclHandler prototype object.